<!-- 1. MENU DEL ACTOR GESTION DE BECAS -->
<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();

 // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="http://localhost/siga_pregrado/modulos/menu/menu17.php";
  		$ip=obtener_ip_menu17();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="18") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="http://localhost/siga_pregrado/modulos/menu/menu17.php";
  		$ip=obtener_ip_menu17();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "../../salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  

mysql_select_db($database_cn, $cn);
//Busca datos del alumno.
$sql = "SELECT apellidos, nombres,sede,tipo_usuario FROM usuarios where cedula='$cedula_usuario' and tipo_usuario='1'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$sede= $row['sede'];
$apellidos= $row['apellidos'];
$nombres= $row['nombres'];

$tipo= $row['tipo_usuario'];
$sql2 = "SELECT descripcion FROM tipo_usuario where tipo='$tipo'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$tipo_usuario= $row2['descripcion'];

//fin

$sql1 = "SELECT nombre_sede FROM sedes where codigo='$sede'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
$nombre_sede= $row1['nombre_sede'];



?>




<!-- MENU DEL ACTOR ADMINSITRACION -->
<table width="100%" border="0" cellpadding="0" cellspacing="0" id="masterdiv">
	<tr>
		<td id="titulo">
			Opciones Principales
		</td>
</tr>
	<!-- Opcion 1 -->
	<tr>
		<td>
			<div onClick="SwitchMenu('sub1')">
				<a  href="../inicio/index.php" target="_parent">P&aacute;gina Principal</a>			
			</div>
		</td>
	</tr>
	
	<tr>
		<td>
			<div onClick="SwitchMenu('sub20')">
				<a href="#">Beneficios Socio-Econ&oacute;micos</a>
			</div>
			<span class="submenu" id="sub20">
				<table>
				    <tr><td><a href="../../vista_nomina_becas.php" target="contenido">Generar Pago de Becas</a></td></tr>
<tr><td><a href="../../vista_nomina_becas_especial.php" target="contenido">Generar Pago de Becas Especial</a></td></tr>
				    <tr><td><a href="../../becados.php" target="contenido">Gestionar Becados</a></td></tr>
				    <tr><td><a href="../../becados_vencimiento.php" target="contenido">Gestionar Venc. de Becas</a></td></tr>
					<tr><td><a href="../../imprimir_becados.php" target="contenido">Listado de Becados</a></td></tr>
				</table>
			</span>
		</td>
	</tr>	
	
	

	
<tr>
   <td id="titulo">
	   Seguridad
   </td>
</tr>

<tr>
		<td>
			<div onClick="SwitchMenu('sub6')">
				<a href="#">Seguridad</a>
			</div>
			<span class="submenu" id="sub6">
				<table>
					<tr><td><a href="../../responder_cambio.php?a=responder&userType=admin" target="contenido">Cambiar Contrase&ntilde;a</a></td>
				   </tr>
				   
				</table>
			</span>
		</td>
	</tr>

<!-- Opcion 14 -->
	<tr>
		<td>
			<div onClick="SwitchMenu('sub19')">
				<a href="../../salir.php" >Cerrar Sesi&oacute;n</a>
			</div>
			
		</td>
	</tr>
	

</table>

<?php
function obtener_ip_menu18()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
  ?>
